gooftool: change postinst param for new cros_installer.

--noupdate_firmware is not available and IS_FACTORY_INSTALL=1 is the better way
to stop firmware updating.

BUG=chrome-os-partner:8396
TEST=./gft_verify_rootfs.sh # pass, not seeing firmware updates.

Change-Id: I6d4a73850c41404cdc1a54fb8d36fa361a6273c0
Reviewed-on: https://gerrit.chromium.org/gerrit/17826
Reviewed-by: Tammo Spalink <tammo@chromium.org>
Commit-Ready: Hung-Te Lin <hungte@chromium.org>
Tested-by: Hung-Te Lin <hungte@chromium.org>
diff --git a/common.sh b/common.sh
index 2f26c04..27f7d20 100644
--- a/common.sh
+++ b/common.sh
@@ -126,10 +126,8 @@
     return 1
   }
   alert "Running postinst for $rootdev..."
-  # TODO(hungte) We need to find a way to tell postinst there's no need to
-  # update firmware. That options was "--noupdate_firmware" but removed after
-  # postinst is replaced by cros_installer.
-  IS_INSTALL=1 "$mount_point"/postinst "$rootdev" ||
+  # IS_FACTORY_INSTALL is used to prevent postinst trying to update firmare.
+  IS_FACTORY_INSTALL=1 IS_INSTALL=1 "$mount_point"/postinst "$rootdev" ||
     failure="$?"
   umount -f "$mount_point" ||
     alert "WARNING: Failed to unmount partition $rootdev"